package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SaleContractE1Collection extends AbstractObjectCollection 
{
    public SaleContractE1Collection()
    {
        super(SaleContractE1Info.class);
    }
    public boolean add(SaleContractE1Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(SaleContractE1Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SaleContractE1Info item)
    {
        return removeObject(item);
    }
    public SaleContractE1Info get(int index)
    {
        return(SaleContractE1Info)getObject(index);
    }
    public SaleContractE1Info get(Object key)
    {
        return(SaleContractE1Info)getObject(key);
    }
    public void set(int index, SaleContractE1Info item)
    {
        setObject(index, item);
    }
    public boolean contains(SaleContractE1Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SaleContractE1Info item)
    {
        return super.indexOf(item);
    }
}